## haskell-unordered-containers 0.1.4.0

=== benchmarks/Makefile ===
ghc-prof-flags :=
ifdef ENABLE_PROFILING
	ghc-prof-flags += -prof -hisuf p_hi -osuf p_o
	lib-suffix := _p
else
	lib-suffix :=
endif

ifdef GHC
	ghc:= $(GHC)
else
	ghc := ghc
endif

package := unordered-containers
version := $(shell awk '/^version:/{print $$2}' ../$(package).cabal)
lib := ../dist/build/libHS$(package)-$(version)$(lib-suffix).a
ghc-flags := -Wall -O2 -hide-all-packages \
	-package-conf ../dist/package.conf.inplace -package base -package mtl \
	-package unordered-containers -package containers -package criterion \
	-package deepseq -package hashable -package random -package bytestring \
	$(ghc-prof-flags)

%.o: %.hs
	$(ghc) $(ghc-flags) -c -o $@ $<

programs := bench

.PHONY: all
all: $(programs)

bench: $(lib) Benchmarks.o Util/Int.o Util/ByteString.o Util/String.o
	ranlib $(lib)
	$(ghc) $(ghc-flags) -threaded -o $@ $(filter %.o,$^) $(lib)

.PHONY: clean
clean:
	-find . \( -name '*.o' -o -name '*.hi' \) -exec rm {} \;
	-rm -f $(programs)

Benchmarks.o: Util/Int.o Util/ByteString.o Util/String.o
Util/ByteString.o: Util/String.o

=== debian/changelog ===
haskell-unordered-containers (0.1.4.0-1build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Nov 2011 14:17:15 -0400

haskell-unordered-containers (0.1.4.0-1) unstable; urgency=low

  * Initial packaging.

 -- Clint Adams <clint@debian.org>  Sat, 25 Jun 2011 18:47:42 -0400

=== debian/control ===
Source: haskell-unordered-containers
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-deepseq-dev
  , libghc-deepseq-prof
  , libghc-hashable-dev
  , libghc-hashable-prof
Build-Depends-Indep: ghc-doc
  , libghc-deepseq-doc
  , libghc-hashable-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/unordered-containers
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-unordered-containers
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-unordered-containers

Package: libghc-unordered-containers-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Efficient hashing-based container types
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.

Package: libghc-unordered-containers-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Efficient hashing-based container types; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.

Package: libghc-unordered-containers-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Efficient hashing-based container types; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.

## haskell-unordered-containers 0.1.4.3

=== debian/changelog ===
haskell-unordered-containers (0.1.4.3-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 09 Oct 2011 20:25:26 -0400

haskell-unordered-containers (0.1.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 28 Aug 2011 14:41:47 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-deepseq-dev
+  , libghc-deepseq-dev (>> 1.1)
+  , libghc-deepseq-dev (<< 1.3)
   , libghc-deepseq-prof
-  , libghc-hashable-dev
+  , libghc-hashable-dev (>> 1.0.1.1)
+  , libghc-hashable-dev (<< 1.2)
   , libghc-hashable-prof
 Build-Depends-Indep: ghc-doc
   , libghc-deepseq-doc

## haskell-unordered-containers 0.1.4.6

=== benchmarks/Makefile ===
--- 
+++ 
@@ -6,11 +6,8 @@
 	lib-suffix :=
 endif
 
-ifdef GHC
-	ghc:= $(GHC)
-else
-	ghc := ghc
-endif
+ghc := ghc
+extra-ghc-flags :=
 
 package := unordered-containers
 version := $(shell awk '/^version:/{print $$2}' ../$(package).cabal)
@@ -19,7 +16,9 @@
 	-package-conf ../dist/package.conf.inplace -package base -package mtl \
 	-package unordered-containers -package containers -package criterion \
 	-package deepseq -package hashable -package random -package bytestring \
-	$(ghc-prof-flags)
+	$(ghc-prof-flags) -rtsopts
+ghc-flags += $(extra-ghc-flags)
+criterion-flags :=
 
 %.o: %.hs
 	$(ghc) $(ghc-flags) -c -o $@ $<
@@ -33,6 +32,10 @@
 	ranlib $(lib)
 	$(ghc) $(ghc-flags) -threaded -o $@ $(filter %.o,$^) $(lib)
 
+.PHONY: bench-all
+bench-all: bench
+	./bench $(criterion-flags) +RTS -H -RTS `./bench -l | sed 's/ *\(.*\)/\1/' | grep -v "Benchmarks:\|IntMap\|Map"`
+
 .PHONY: clean
 clean:
 	-find . \( -name '*.o' -o -name '*.hi' \) -exec rm {} \;

=== debian/changelog ===
haskell-unordered-containers (0.1.4.6-3) unstable; urgency=low

  * Rebuild against hashable 1.1.2.3.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:13:50 -0400

haskell-unordered-containers (0.1.4.6-2) unstable; urgency=low

  * Rebuild against updated hashable

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:35:38 +0100

haskell-unordered-containers (0.1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 17:54:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-deepseq-dev (>> 1.1)
-  , libghc-deepseq-dev (<< 1.3)
+  , libghc-deepseq-dev 
   , libghc-deepseq-prof
   , libghc-hashable-dev (>> 1.0.1.1)
   , libghc-hashable-dev (<< 1.2)

## haskell-unordered-containers 0.2.1.0

=== debian/changelog ===
haskell-unordered-containers (0.2.1.0-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Thu, 17 May 2012 10:42:34 -0400

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,17 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-deepseq-dev 
-  , libghc-deepseq-prof
   , libghc-hashable-dev (>> 1.0.1.1)
   , libghc-hashable-dev (<< 1.2)
   , libghc-hashable-prof
+#  , libghc-quickcheck2-dev (>> 2.4.0.1)
+#  , libghc-test-framework-dev (>> 0.3.3)
+#  , libghc-test-framework-dev (<< 0.6)
+#  , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
+#  , libghc-test-framework-quickcheck2-dev (>> 0.3)
 Build-Depends-Indep: ghc-doc
-  , libghc-deepseq-doc
   , libghc-hashable-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/unordered-containers
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-unordered-containers
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-unordered-containers

## haskell-unordered-containers 0.2.2.1

=== debian/changelog ===
haskell-unordered-containers (0.2.2.1-2~sid) unstable; urgency=low

  * Sid-compatible re-upload

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Oct 2012 16:47:40 +0200

haskell-unordered-containers (0.2.2.1-1) unstable; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release
  * Enable test suite 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 20:44:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,15 @@
   , ghc
   , ghc-prof
   , libghc-hashable-dev (>> 1.0.1.1)
-  , libghc-hashable-dev (<< 1.2)
   , libghc-hashable-prof
-#  , libghc-quickcheck2-dev (>> 2.4.0.1)
-#  , libghc-test-framework-dev (>> 0.3.3)
-#  , libghc-test-framework-dev (<< 0.6)
-#  , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
-#  , libghc-test-framework-quickcheck2-dev (>> 0.3)
+  , libghc-quickcheck2-dev (>> 2.4.0.1)
+  , libghc-hunit-dev
+  , libghc-test-framework-dev (>> 0.3.3)
+  , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
+  , libghc-test-framework-hunit-dev 
 Build-Depends-Indep: ghc-doc
   , libghc-hashable-doc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/unordered-containers
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-unordered-containers
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-unordered-containers

## haskell-unordered-containers 0.2.2.1.is.really.0.2.1.0

=== debian/changelog ===
haskell-unordered-containers (0.2.2.1.is.really.0.2.1.0-1) unstable; urgency=low

  * Revert to 0.2.2.1 to allow migration to testing. Undo:
    + Enable test suite 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 21 Mar 2013 19:55:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
   , ghc
   , ghc-prof
   , libghc-hashable-dev (>> 1.0.1.1)
+  , libghc-hashable-dev (<< 1.2)
   , libghc-hashable-prof
-  , libghc-quickcheck2-dev (>> 2.4.0.1)
-  , libghc-hunit-dev
-  , libghc-test-framework-dev (>> 0.3.3)
-  , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
-  , libghc-test-framework-hunit-dev 
+#  , libghc-quickcheck2-dev (>> 2.4.0.1)
+#  , libghc-test-framework-dev (>> 0.3.3)
+#  , libghc-test-framework-dev (<< 0.6)
+#  , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
+#  , libghc-test-framework-quickcheck2-dev (>> 0.3)
 Build-Depends-Indep: ghc-doc
   , libghc-hashable-doc
 Standards-Version: 3.9.4

## haskell-unordered-containers 0.2.3.0

=== debian/changelog ===
haskell-unordered-containers (0.2.3.0-3build2) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Oct 2013 07:00:56 +0100

haskell-unordered-containers (0.2.3.0-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 10:39:38 +0100

haskell-unordered-containers (0.2.3.0-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:50 +0200

haskell-unordered-containers (0.2.3.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:21 +0200

haskell-unordered-containers (0.2.3.0-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 25 Mar 2013 13:30:59 +0100

haskell-unordered-containers (0.2.2.1-2) experimental; urgency=low

  * Previous upload should have gone to experimental; fixing

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Oct 2012 15:51:29 +0200

=== debian/control ===
Source: haskell-unordered-containers
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-hashable-dev (>> 1.0.1.1)
  , libghc-hashable-prof
  , libghc-quickcheck2-dev (>> 2.4.0.1)
  , libghc-hunit-dev
  , libghc-chasingbottoms-dev
  , libghc-test-framework-dev (>> 0.3.3)
  , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
  , libghc-test-framework-hunit-dev 
Build-Depends-Indep: ghc-doc
  , libghc-hashable-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/unordered-containers
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-unordered-containers
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-unordered-containers

Package: libghc-unordered-containers-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Efficient hashing-based container types${haskell:ShortBlurb}
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.
 .
 ${haskell:Blurb}

Package: libghc-unordered-containers-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Efficient hashing-based container types${haskell:ShortBlurb}
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.
 .
 ${haskell:Blurb}

Package: libghc-unordered-containers-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Efficient hashing-based container types${haskell:ShortBlurb}
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|unordered-containers-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/unordered-containers \
    ([\d\.]*\d)/

## haskell-unordered-containers 0.2.5.0

=== debian/changelog ===
haskell-unordered-containers (0.2.5.0-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Jul 2014 16:46:36 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,17 @@
   , ghc-prof
   , libghc-hashable-dev (>> 1.0.1.1)
   , libghc-hashable-prof
+  , libghc-hashmap-dev
+  , libghc-hashmap-prof
   , libghc-quickcheck2-dev (>> 2.4.0.1)
   , libghc-hunit-dev
   , libghc-chasingbottoms-dev
   , libghc-test-framework-dev (>> 0.3.3)
   , libghc-test-framework-quickcheck2-dev (>> 0.2.9)
-  , libghc-test-framework-hunit-dev 
+  , libghc-test-framework-hunit-dev
 Build-Depends-Indep: ghc-doc
   , libghc-hashable-doc
+  , libghc-hashmap-doc
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/unordered-containers
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-unordered-containers

## haskell-unordered-containers 0.2.5.1

=== debian/changelog ===
haskell-unordered-containers (0.2.5.1-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 15:49:25 +0000

haskell-unordered-containers (0.2.5.1-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:12 -0500

haskell-unordered-containers (0.2.5.1-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:56 +0200

haskell-unordered-containers (0.2.5.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:34 +0200

haskell-unordered-containers (0.2.5.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Apr 2015 15:08:22 +0200

haskell-unordered-containers (0.2.5.0-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:31 +0100

=== debian/control ===
Source: haskell-unordered-containers
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hashable-dev (>= 1.0.1.1),
 libghc-hashable-prof,
 libghc-chasingbottoms-dev,
 libghc-hunit-dev,
 libghc-quickcheck2-dev (>= 2.4.0.1),
 libghc-test-framework-dev (>= 0.3.3),
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev (>= 0.2.9),
Build-Depends-Indep: ghc-doc,
 libghc-hashable-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/tibbe/unordered-containers
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-unordered-containers-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Efficient hashing-based container types${haskell:ShortBlurb}
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.
 .
 ${haskell:Blurb}

Package: libghc-unordered-containers-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Efficient hashing-based container types${haskell:ShortBlurb}
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.
 .
 ${haskell:Blurb}

Package: libghc-unordered-containers-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Efficient hashing-based container types${haskell:ShortBlurb}
 It contains efficient hashing-based container types. The containers
 have been optimized for performance critical use, both in terms of
 large data quantities and high speed.
 .
 The declared cost of each operation is either worst-case or
 amortized, but remains valid even if structures are shared.
 .
 ${haskell:Blurb}

## haskell-unordered-containers 0.2.7.0

=== debian/changelog ===
haskell-unordered-containers (0.2.7.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:16:25 +0200

## haskell-unordered-containers 0.2.7.1

=== debian/changelog ===
haskell-unordered-containers (0.2.7.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:45 -0400

haskell-unordered-containers (0.2.7.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Wed, 12 Oct 2016 22:48:23 -0400

haskell-unordered-containers (0.2.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 16:01:46 -0400

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
 Priority: extra
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
  libghc-hashable-dev (>= 1.0.1.1),
+ libghc-hashable-dev (<< 1.3),
  libghc-hashable-prof,
- libghc-chasingbottoms-dev,
- libghc-hunit-dev,
- libghc-quickcheck2-dev (>= 2.4.0.1),
- libghc-test-framework-dev (>= 0.3.3),
- libghc-test-framework-hunit-dev,
- libghc-test-framework-quickcheck2-dev (>= 0.2.9),
+ libghc-chasingbottoms-dev <!nocheck>,
+ libghc-hunit-dev <!nocheck>,
+ libghc-quickcheck2-dev (>= 2.4.0.1) <!nocheck>,
+ libghc-test-framework-dev (>= 0.3.3) <!nocheck>,
+ libghc-test-framework-hunit-dev <!nocheck>,
+ libghc-test-framework-quickcheck2-dev (>= 0.2.9) <!nocheck>,
 Build-Depends-Indep: ghc-doc,
  libghc-hashable-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/tibbe/unordered-containers
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-unordered-containers-dev
 Architecture: any

## haskell-unordered-containers 0.2.8.0

=== debian/changelog ===
haskell-unordered-containers (0.2.8.0-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 09:35:37 +0200

haskell-unordered-containers (0.2.8.0-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 16:39:09 +0200

haskell-unordered-containers (0.2.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:25:01 -0400

=== debian/watch ===
version=3
http://hackage.haskell.org/package/unordered-containers/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-unordered-containers 0.2.9.0

=== debian/changelog ===
haskell-unordered-containers (0.2.9.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:22:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: haskell-unordered-containers
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 9),
  haskell-devscripts (>= 0.13),
@@ -19,10 +19,10 @@
  libghc-test-framework-quickcheck2-dev (>= 0.2.9) <!nocheck>,
 Build-Depends-Indep: ghc-doc,
  libghc-hashable-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/tibbe/unordered-containers
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-unordered-containers
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-unordered-containers-dev
 Architecture: any

## haskell-unordered-containers 0.2.10.0

=== debian/changelog ===
haskell-unordered-containers (0.2.10.0-3build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 22:39:13 +0000

haskell-unordered-containers (0.2.10.0-3build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 16:20:24 +0200

haskell-unordered-containers (0.2.10.0-3) unstable; urgency=medium

  * Fix build-deps.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 22:53:23 -0400

haskell-unordered-containers (0.2.10.0-2) unstable; urgency=medium

  * Patch for newer hashable.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 21:49:30 -0400

haskell-unordered-containers (0.2.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 19:22:18 -0400

haskell-unordered-containers (0.2.9.0-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:24:10 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: haskell-unordered-containers
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
  ghc (>= 8),
  ghc-prof,
  libghc-hashable-dev (>= 1.0.1.1),
- libghc-hashable-dev (<< 1.3),
+ libghc-hashable-dev (<< 1.4),
  libghc-hashable-prof,
  libghc-chasingbottoms-dev <!nocheck>,
  libghc-hunit-dev <!nocheck>,
@@ -19,10 +21,10 @@
  libghc-test-framework-quickcheck2-dev (>= 0.2.9) <!nocheck>,
 Build-Depends-Indep: ghc-doc,
  libghc-hashable-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://github.com/tibbe/unordered-containers
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-unordered-containers
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-unordered-containers]
 
 Package: libghc-unordered-containers-dev
 Architecture: any

## haskell-unordered-containers 0.2.17.0

=== debian/changelog ===
haskell-unordered-containers (0.2.17.0-2) unstable; urgency=medium

  * Fix Build-Depends.

 -- Clint Adams <clint@debian.org>  Thu, 16 Jun 2022 10:03:02 -0400

haskell-unordered-containers (0.2.17.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 22:15:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-unordered-containers
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -10,19 +9,20 @@
  cdbs,
  ghc (>= 8),
  ghc-prof,
- libghc-hashable-dev (>= 1.0.1.1),
- libghc-hashable-dev (<< 1.4),
+ libghc-hashable-dev (>= 1.2.5),
+ libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
  libghc-chasingbottoms-dev <!nocheck>,
  libghc-hunit-dev <!nocheck>,
  libghc-quickcheck2-dev (>= 2.4.0.1) <!nocheck>,
- libghc-test-framework-dev (>= 0.3.3) <!nocheck>,
- libghc-test-framework-hunit-dev <!nocheck>,
- libghc-test-framework-quickcheck2-dev (>= 0.2.9) <!nocheck>,
+ libghc-random-dev <!nocheck>,
+ libghc-tasty-dev (>= 1.4.0.3) <!nocheck>,
+ libghc-tasty-hunit-dev (>= 0.10.0.3) <!nocheck>,
+ libghc-tasty-quickcheck-dev (>= 0.10.1.2) <!nocheck>,
 Build-Depends-Indep: ghc-doc,
  libghc-hashable-doc,
-Standards-Version: 4.5.0
-Homepage: https://github.com/tibbe/unordered-containers
+Standards-Version: 4.6.1
+Homepage: https://github.com/haskell-unordered-containers/unordered-containers
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-unordered-containers
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-unordered-containers]

## haskell-unordered-containers 0.2.19.1

=== debian/changelog ===
haskell-unordered-containers (0.2.19.1-2build3) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:42:08 +0100

haskell-unordered-containers (0.2.19.1-2build2) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:37:45 +0100

haskell-unordered-containers (0.2.19.1-2build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Nov 2023 09:05:55 +0100

haskell-unordered-containers (0.2.19.1-2) unstable; urgency=medium

  * Patch for newer template-haskell.

 -- Clint Adams <clint@debian.org>  Sun, 10 Sep 2023 16:30:51 -0400

haskell-unordered-containers (0.2.19.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 10 Sep 2023 22:09:33 +0300

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,31 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  libghc-hashable-dev (>= 1.2.5),
  libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
- libghc-chasingbottoms-dev <!nocheck>,
- libghc-hunit-dev <!nocheck>,
- libghc-quickcheck2-dev (>= 2.4.0.1) <!nocheck>,
- libghc-random-dev <!nocheck>,
- libghc-tasty-dev (>= 1.4.0.3) <!nocheck>,
- libghc-tasty-hunit-dev (>= 0.10.0.3) <!nocheck>,
- libghc-tasty-quickcheck-dev (>= 0.10.1.2) <!nocheck>,
+ libghc-chasingbottoms-dev,
+ libghc-chasingbottoms-prof,
+ libghc-hunit-dev,
+ libghc-hunit-prof,
+ libghc-quickcheck2-dev (>= 2.4.0.1),
+ libghc-quickcheck2-prof,
+ libghc-hashable-dev,
+ libghc-nothunks-dev (>= 0.1.3),
+ libghc-nothunks-prof,
+ libghc-random-dev,
+ libghc-random-prof,
+ libghc-tasty-dev (>= 1.4.0.3),
+ libghc-tasty-prof,
+ libghc-tasty-hunit-dev (>= 0.10.0.3),
+ libghc-tasty-hunit-prof,
+ libghc-tasty-quickcheck-dev (>= 0.10.1.2),
+ libghc-tasty-quickcheck-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-hashable-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/haskell-unordered-containers/unordered-containers
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-unordered-containers
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-unordered-containers]

## haskell-unordered-containers 0.2.20

=== debian/changelog ===
haskell-unordered-containers (0.2.20-3) unstable; urgency=medium

  * Disable tests on 32bit architectures

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 16 Oct 2024 20:27:05 +0300

haskell-unordered-containers (0.2.20-2) unstable; urgency=medium

  * Disable RTS -N for testsuite

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 16 Oct 2024 14:48:22 +0300

haskell-unordered-containers (0.2.20-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 04 Oct 2024 21:08:38 +0300

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  libghc-tasty-quickcheck-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-hashable-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/haskell-unordered-containers/unordered-containers
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-unordered-containers
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-unordered-containers]

=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS := yes

# Disable tests on 32bit systems.
# We are doing this since the regression was introduced by
# a change to the testsuite.
# Upstream issue:
#   https://github.com/haskell-unordered-containers/unordered-containers/issues/491
ifeq ($(DEB_HOST_ARCH_BITS), 32)
	DEB_ENABLE_TESTS = no
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
https://hackage.haskell.org/package/unordered-containers/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-unordered-containers 0.2.20.1

=== debian/changelog ===
haskell-unordered-containers (0.2.20.1-1build1) resolute; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Feb 2026 07:54:18 +0100

haskell-unordered-containers (0.2.20.1-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 06 Jan 2026 16:00:41 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc (>= 9.4),
  ghc-prof,
- libghc-hashable-dev (>= 1.2.5),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (>= 1.4),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
  libghc-chasingbottoms-dev,
  libghc-chasingbottoms-prof,
